# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
com.mockobjects.sql.MockConnection
Use temporary class MockConnection2

Deprecated Methods
Method
Description
com.mockobjects.dynamic.Mock.expect(String, CallSequence)
@see OrderedMock
com.mockobjects.dynamic.Mock.expectAndReturn(String, CallSequence, Object)
@see OrderedMock
com.mockobjects.dynamic.Mock.expectAndThrow(String, CallSequence, Throwable)
@see OrderedMock
com.mockobjects.dynamic.Mock.expectNotCalled(String)
Not required, as if methodName is called, you will get a an exception
com.mockobjects.dynamic.Mock.expectVoid(String)
@see expect
com.mockobjects.dynamic.Mock.expectVoid(String, ConstraintMatcher)
@see expect
com.mockobjects.dynamic.Mock.expectVoid(String, Object)
@see expect
com.mockobjects.MockObject.notYetImplemented(String)